Skip to content
Permalink
Browse files

Revert PR 508 (Check for required PHP extensions): db34c25, cc3a07a, f…

  • Loading branch information...
samtuke committed Apr 12, 2019
1 parent 73c98ab commit 1153e3a40eced1f71f6e1d285038bea7f808e6db
Showing with 0 additions and 37 deletions.
  1. +0 −37 public_html/lists/admin/index.php
@@ -23,42 +23,6 @@
// Remove when php5.X is unsupported, currently 31 Dec 2018, https://secure.php.net/supported-versions.php
require_once dirname(__FILE__).'/inc/random_compat/random.php';
// Check if required PHP modules are installed.
$requiredExtensions = array(
'pcre',
'core',
'date',
'hash',
'spl',
'filter',
'openssl',
'mbstring',
'session',
'xml',
'curl',
'iconv',
'json',
'gettext',
'simplexml',
'mysqli',
'gd',
);
$notInstalled = array();
foreach ($requiredExtensions as $value) {
if (!extension_loaded($value)) {
array_push($notInstalled, $value);
}
}
if (count($notInstalled) > 0) {
$message = "The following PHP extensions are missing:" . '<br>';
foreach ($notInstalled as $value) {
$message .= $value . '<br>';
}
die($message);
}
/* no idea why it wouldn't be there (no dependencies are mentioned on php.net/mb_strtolower), but
* found a system missing it. We need it from the start */
if (!function_exists('mb_strtolower')) {
@@ -557,7 +521,6 @@ function mb_strtolower($string)
echo Info($GLOBALS['I18N']->get('Running in testmode, no emails will be sent. Check your config file.'));
}
if (!strpos(VERSION, 'dev')){
$updaterdir = __DIR__ . '/../updater';

0 comments on commit 1153e3a

Please sign in to comment.
You can’t perform that action at this time.